// Generated by CoffeeScript 1.12.5
var indexOf = [].indexOf || function(item) { for (var i = 0, l = this.length; i < l; i++) { if (i in this && this[i] === item) return i; } return -1; };

define(["framework", "jquery", "underscore", "config"], function(TWC, $, _, Config) {
  TWC.SDK.Player.prototype.setExternalSubtitles = function(_textTracks) {
    var i, index, len, ref, results, subtitle;
    this._textTracks = _textTracks;
    this._textData = [];
    ref = this._textTracks;
    results = [];
    for (index = i = 0, len = ref.length; i < len; index = ++i) {
      subtitle = ref[index];
      results.push(subtitle.index = index);
    }
    return results;
  };
  TWC.SDK.Player.prototype.initSubtitleEvents = function() {
    var visibleSubtitles;
    visibleSubtitles = [];
    return $(TWC.SDK.Base.eventbus).on("player.onProgress._subtitle", (function(_this) {
      return function(e, seconds) {
        var i, index, len, new_subtitle, visibleSubtitle;
        if (!_this._textActive) {
          return;
        }
        for (index = i = 0, len = visibleSubtitles.length; i < len; index = ++i) {
          visibleSubtitle = visibleSubtitles[index];
          if (visibleSubtitle && parseFloat(seconds) >= visibleSubtitle.end) {
            $(TWC.SDK.Base.eventbus).trigger("player.subtitleOff", [visibleSubtitle]);
            visibleSubtitles.shift();
          }
        }
        new_subtitle = _.find(_this._textData, function(subtitle) {
          return ((subtitle.start <= seconds && seconds <= subtitle.end)) && (indexOf.call(visibleSubtitles, subtitle) < 0);
        });
        if (new_subtitle) {
          visibleSubtitles.push(new_subtitle);
          return $(TWC.SDK.Base.eventbus).trigger("player.subtitleOn", [new_subtitle]);
        }
      };
    })(this));
  };
  TWC.SDK.Player.prototype.stopSubtitleEvents = function() {
    $(TWC.SDK.Base.eventbus).off("._subtitle");
    return $(TWC.SDK.Base.eventbus).trigger("player.subtitleOff");
  };
  TWC.SDK.Player.prototype.subtitleActive = function(active) {
    var i, lastTrackLanguage, len, state, storage, subtitleTrack, subtitleTracks, track;
    storage = TWC.SDK.Storage.get();
    if ((active != null) && active === true) {
      subtitleTracks = this.allSubtitleTracks();
      if (!subtitleTracks && subtitleTracks.length === 0) {
        return false;
      }
      lastTrackLanguage = storage.getItem("subtitle_language");
      track = subtitleTracks[0];
      for (i = 0, len = subtitleTracks.length; i < len; i++) {
        subtitleTrack = subtitleTracks[i];
        if (lastTrackLanguage === subtitleTrack.language) {
          track = subtitleTrack;
        }
      }
      storage.setItem(TWC.SDK.Player.STORAGE_SUBTITLE_ACTIVE, JSON.stringify(true));
      this.subtitleTrack(track);
      this._textActive = true;
      $(TWC.SDK.Base.eventbus).trigger("player.onTrackInformationUpdated");
    } else if ((active != null) && active === false) {
      this._textActive = false;
      this.stopSubtitleEvents();
      storage.setItem(TWC.SDK.Player.STORAGE_SUBTITLE_ACTIVE, JSON.stringify(false));
    }
    state = JSON.parse(storage.getItem(TWC.SDK.Player.STORAGE_SUBTITLE_ACTIVE)) || false;
    return state;
  };
  TWC.SDK.Player.prototype.subtitleTrack = function(track) {
    var i, j, len, len1, oldTextTrack, ref, ref1, storage, textTrack;
    log("SubtitleTrack");
    if ((this._textTracks == null) || !(this._textTracks && this._textTracks.length > 0)) {
      return;
    }
    if ((typeof track !== 'undefined') && (track !== null)) {
      storage = TWC.SDK.Storage.get();
      if (track.language != null) {
        storage.setItem(TWC.SDK.Player.STORAGE_SUBTITLE_LANGUAGE, track.language);
      } else {
        storage.setItem(TWC.SDK.Player.STORAGE_SUBTITLE_LANGUAGE, track);
      }
      this._textData = [];
      log(">>>>>>>>>>>");
      ref = this._textTracks;
      for (i = 0, len = ref.length; i < len; i++) {
        oldTextTrack = ref[i];
        if (oldTextTrack.enabled === true) {
          oldTextTrack.enabled = false;
        }
      }
      textTrack = _.findWhere(this._textTracks, {
        index: track.index
      });
      if (textTrack && textTrack.url) {
        return $.ajax({
          type: "GET",
          url: textTrack.url,
          dataType: "text",
          success: (function(_this) {
            return function(data) {
              _this._textData = _this.parseSubtitle(data);
              _this.stopSubtitleEvents();
              _this.initSubtitleEvents();
              log("PLAYER: external subtitleTrack '" + track.language + "' loaded");
              textTrack.enabled = true;
              return $(TWC.SDK.Base.eventbus).trigger("player.onTrackInformationUpdated");
            };
          })(this)
        });
      }
    } else {
      ref1 = this._textTracks;
      for (j = 0, len1 = ref1.length; j < len1; j++) {
        textTrack = ref1[j];
        if (textTrack.enabled) {
          return textTrack;
        }
      }
    }
  };
  TWC.SDK.Player.prototype.forcedSubtitleTrack = function(textTrack) {
    log("ForcedSubtitleTrack");
    if (textTrack && textTrack.url) {
      return $.ajax({
        type: "GET",
        url: textTrack.url,
        dataType: "text",
        success: (function(_this) {
          return function(data) {
            _this._textActive = true;
            _this._textData = _this.parseSubtitle(data);
            _this.stopSubtitleEvents();
            _this.initSubtitleEvents();
            log("PLAYER: external subtitleTrack '" + textTrack.language + "' loaded");
            textTrack.enabled = true;
            return $(TWC.SDK.Base.eventbus).trigger("player.onTrackInformationUpdated");
          };
        })(this)
      });
    }
  };
  TWC.SDK.Player.prototype.allSubtitleTracks = function() {
    var result;
    result = [];
    if ((this._textTracks == null) || !(this._textTracks && this._textTracks.length > 0)) {
      return result;
    }
    return this._textTracks;
  };
  TWC.SDK.Player.prototype.getTextActive = function() {
    return this._textActive;
  };
  TWC.SDK.Player.toSeconds = function(timeStr, framerate) {
    var digitPairs, errorMessage, firstPair, frameInfo, frameTime, lastIndex, lastPair, numeral, validTimeFormat;
    validTimeFormat = /^([0-9]+:){0,2}[0-9]+([.;:][0-9]+)?$/;
    errorMessage = 'Invalid time format';
    digitPairs = void 0;
    lastIndex = void 0;
    lastPair = void 0;
    firstPair = void 0;
    frameInfo = void 0;
    frameTime = void 0;
    if (typeof timeStr === 'number') {
      return timeStr;
    }
    if (typeof timeStr === 'string' && !validTimeFormat.test(timeStr)) {
      throw "invalid time format";
    }
    digitPairs = timeStr.split(':');
    lastIndex = digitPairs.length - 1;
    lastPair = digitPairs[lastIndex];
    if (lastPair.indexOf(';') > -1) {
      frameInfo = lastPair.split(';');
      frameTime = 0;
      if (framerate && typeof framerate === 'number') {
        frameTime = parseFloat(frameInfo[1], 10) / framerate;
      }
      digitPairs[lastIndex] = parseInt(frameInfo[0], 10) + frameTime;
    }
    if (lastIndex === 3) {
      numeral = (parseInt(digitPairs[3]) / 60).toFixed(2);
      digitPairs[2] = parseFloat(digitPairs[2]) + parseFloat(numeral);
      delete digitPairs[3];
      digitPairs.pop();
    }
    firstPair = digitPairs[0];
    return {
      1: parseFloat(firstPair, 10),
      2: parseInt(firstPair, 10) * 60 + parseFloat(digitPairs[1], 10),
      3: parseInt(firstPair, 10) * 3600 + parseInt(digitPairs[1], 10) * 60 + parseFloat(digitPairs[2], 10)
    }[digitPairs.length || 1];
  };
});
