<div id="container" class="detail movieDetail <%= (productType == 'season' && index != '' ? 'seasonVisible' : '') %>">
    <div id="hboLogo"></div>
    <div id="content" class="<%- toggleClass %>">
        <div class="background-gradient"></div>
        <div class="detailInfo">
            <% if(ribbonTitle != ""){ %>
              <div class="ribbon detail-ribbon <%- ribbonType %>">
                  <%- ribbonTitle %>
              </div>
            <% } %>
            <% if (titleImageCarousel != "") { %>
                <div class="titleSwitch">
                    <div class="productImageTitle">
                        <img class="titleImageBg" src="<%- titleImageCarousel %>"/>
                    </div>
                    <div class="productTextTitle"><%- name %></div>
                </div>
            <% } else { %>
                <div class="productTitle"><%- name %></div>
            <% } %>

            <% if(productType == "season"){ %>
                <div class="seasonNumber"><%= manifest.seasonx.replace("{0}", index) %></div>
            <% } %>

            <div class="meta">
                <% if(name.toLowerCase() != genuineName.toLowerCase()){ %>
                    <div class="originalTitle"><%- genuineName %></div>
                <% } %>
                <% if(productionYear != "" && productionYear != 0){ %>
                    <div class="year"><%- productionYear %></div>
                <% } %>
                <% if(duration != ""){ %>
                    <div class="duration"><%- duration %></div>
                <% } %>
                <% if(genresText != ""){ %>
                    <div class="genre"><%- genresText %></div>
                <% } %>
                <% if(ageRating != -1){ %>
                    <div class="ageRating"><%- ageRatingName %></div>
                <% } %>
                <% if(hboRate != ""){ %>
                    <div class="hboRating">
                      <span class="hboRatingItem"> <% var full = hboRate<1 ? 0 : 100; if(hboRate<1 && hboRate>0) full=Math.round(10*(hboRate-0))*10; print('<span class="starFull width-' +full+ '"> </span> <span class="starEmpty width-' +(100-full)+ '"> </span>') %> </span>
                      <span class="hboRatingItem"> <% var full = hboRate<2 ? 0 : 100; if(hboRate<2 && hboRate>1) full=Math.round(10*(hboRate-1))*10; print('<span class="starFull width-' +full+ '"> </span> <span class="starEmpty width-' +(100-full)+ '"> </span>') %> </span>
                      <span class="hboRatingItem"> <% var full = hboRate<3 ? 0 : 100; if(hboRate<3 && hboRate>2) full=Math.round(10*(hboRate-2))*10; print('<span class="starFull width-' +full+ '"> </span> <span class="starEmpty width-' +(100-full)+ '"> </span>') %> </span>
                      <span class="hboRatingItem"> <% var full = hboRate<4 ? 0 : 100; if(hboRate<4 && hboRate>3) full=Math.round(10*(hboRate-3))*10; print('<span class="starFull width-' +full+ '"> </span> <span class="starEmpty width-' +(100-full)+ '"> </span>') %> </span>
                      <span class="hboRatingItem"> <% var full = hboRate<5 ? 0 : 100; if(hboRate<5 && hboRate>4) full=Math.round(10*(hboRate-4))*10; print('<span class="starFull width-' +full+ '"> </span> <span class="starEmpty width-' +(100-full)+ '"> </span>') %> </span>
                    </div>
                <% } %>
                <% if(imdbRate != "" && imdbRate != 0){ %>
                    <div class="imdbRating"><span class="imdbLogo"></span><%- imdbRate %><span class="totalScore">/10</span></div>
                <% } %>
            </div>

            <div class="buttonGroupsWrapper">

              <div id="buttonGroupActions" class="buttonContainer hidden">
                  <% if(productType != "season" && !isUpcoming){ %>
                      <div id="playMovieButton" data-up="focusUp" data-left="defaultFocus" data-right="defaultFocus" data-down="focusDown" class="button">
                          <span class="button-icon play"></span>
                          <div class="text"><%- manifest.play %></div>
                      </div>
                  <% } %>
                  <% if(productType == "season" && !isUpcoming){ %>
                      <div id="playMovieButton" data-up="focusUp" data-left="defaultFocus" data-right="defaultFocus" data-down="focusDown" class="button">
                          <span class="button-icon play"></span>
                          <div class="text"><%- additionalName + ' ' + manifest.episodex.replace("{0}", continueWatchingEpisode)  %></div>
                      </div>
                      <div id="seasonsButton" data-up="focusUp" data-left="defaultFocus" data-right="defaultFocus" data-down="focusDown" class="button">
                          <span class="button-icon seasons"></span>
                          <div class="text"><%- manifest.seasons %></div>
                      </div>
                  <% }else{ %>
                      <div id="playTrailerButton" data-up="focusUp" data-left="defaultFocus" data-right="defaultFocus" data-down="focusDown" class="button disable">
                          <span class="button-icon trailer"></span>
                          <div class="text"><%- manifest.trailer %></div>
                      </div>
                  <% } %>
                  <% if(!isAnonymous){ %>
                    <div id="watchlistButton" data-up="focusUp" data-left="defaultFocus" data-right="defaultFocus" data-down="focusDown" class="button">
                        <span class="button-icon watchlist-plus"></span>
                        <div class="text"><%- manifest.watchlist %></div>
                    </div>
                    <div id="rateButton" data-up="focusUp" data-left="defaultFocus" data-right="defaultFocus" data-down="focusDown" class="button">
                        <span class="button-icon rate"></span>
                        <div class="text"><%- manifest.rate %></div>
                    </div>
                  <% } %>
              </div>

              <% if(productType == "season"){ %>
                <div id="buttonGroupSeasons" class="buttonContainer groupContainer hidden">
                  <div class="mouseButtonsContainer">
                      <div class="mouseButton left"></div>
                      <div class="mouseButton right"></div>
                  </div>
                  <% if(productType == "season"){ %>
                      <div id="group-0" class="group" data-scroll-size="8">
                          <div class="scrollContainer">
                              <% for(var i=0;i<seasons.length;i++){ %>
                                  <div id="season-<%- i %>"
                                    class="groupItem seasonItem <%= (seasons[i].index === index ? 'active' : '' )%>"
                                    data-up="focusUp"
                                    data-scroll-index="<%- i %>"
                                    data-season-index="<%- seasons[i].index %>"
                                    data-down="focusDown"
                                    data-left="focusLeft"
                                    data-right="focusRight"><span class="text"><%- seasons[i].name %></span></div>
                              <% } %>
                          </div>
                      </div>
                  <% } %>
              </div>
              <% } %>

            </div>

            <% if(productType == "movie"){ %>
                <div class="detailInformation hidden">
                    <div id="description" data-up="focusActionsButtons" data-down="focusDown"><%- abstract.stub(410) %></div>
                    <div class="metaInfo">
                        <% if(director != "" || cast != ""){ %>
                            <div class="meta-group">
                                <% if(director != ""){ %>
                                    <div class="meta-block">
                                        <div class="meta-title"><%- manifest.director %></div>
                                        <div class="value"><%- director %></div>
                                    </div>
                                <% } %>

                                <% if(cast != ""){ %>
                                    <div class="meta-block">
                                        <div class="meta-title"><%- manifest.cast %></div>
                                        <div class="value"><%- cast %></div>
                                    </div>
                                <% } %>
                            </div>
                        <% } %>

                        <% if(audio != "" || subtitle != ""){ %>
                            <div class="meta-group">

                                <% if(audio != ""){ %>
                                    <div class="meta-block">
                                        <div class="meta-title"><%- manifest.audio %></div>
                                        <div class="value"><%- audio %></div>
                                    </div>
                                <% } %>

                                <% if(subtitle != ""){ %>
                                    <div class="meta-block">
                                        <div class="meta-title"><%- manifest.subtitle %></div>
                                        <div class="value"><%- subtitle %></div>
                                    </div>
                                <% } %>
                            </div>
                        <% } %>
                        <div class="meta-group">
                            <% if(availabilityFrom != "" && availabilityFrom != null && isUpcoming){ %>
                                <div class="meta-block">
                                    <div class="meta-title"><%- manifest.availableFrom %></div>
                                    <div class="value"><%- availabilityFrom %></div>
                                </div>
                            <% } %>
                            <% if(availabilityTo != "" && availabilityTo != null && !isUpcoming){ %>
                                <div class="meta-block">
                                    <div class="meta-title"><%- manifest.availableTo %></div>
                                    <div class="value"><%- availabilityTo %></div>
                                </div>
                            <% } %>
                            <div class="meta-block watch-progression <%= elapsedPercentage == 0 ? 'hidden' : '' %>">
                                <div class="meta-title"><%- manifest.watched %></div>
                                <div class="value meta-progressbar">
                                    <div class="progressbar-value progress-<%- elapsedPercentage %>"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <% if(relatedVideos.length > 0){ %>
                    <div class="relatedBlock relatedMovies">
                        <div class="groupContainer template-3">
                            <h1><%- manifest.related %></h1>
                            <div class="mouseButtonsContainer">
                                <div class="mouseButton left"></div>
                                <div class="mouseButton right"></div>
                            </div>
                            <div id="group-1" class="group" data-scroll-size="4">
                                <div class="scrollContainer">

                                    <% for(var i=0;i<relatedVideos.length;i++){ %>
                                        <div id="relatedVideo-<%- i %>"
                                          data-scroll-index="<%- i %>"
                                          data-up="focusUp"
                                          data-down="focusDown"
                                          data-left="focusLeft"
                                          data-right="focusRight"
                                          class="groupItem episodeItem">
                                            <div class="product-border"></div>
                                            <% if(relatedVideos[i].ribbonTitle != "" && relatedVideos[i].ribbonTitle != null){ %>
                                                <div class="ribbon <%-relatedVideos[i].ribbonType %>"><%-relatedVideos[i].ribbonTitle %></div>
                                            <% } %>
                                            <img src="<%- relatedVideos[i].thumbnailSmall %>" data-imgsize="<%- relatedVideos[i].thumbnailSmallSize %>" alt=""/>

                                            <% if(isUpcomingActive && relatedVideos[i].upcomingData != null){ %>
                                                <div class="countdown">
                                                    <% if(relatedVideos[i].upcomingData.days > 0){ %>
                                                        <div class="days"><span><%- relatedVideos[i].upcomingData.days %></span><br/> <%- relatedVideos[i].upcomingData.days_text %></div>
                                                        <div class="hours"><span><%- relatedVideos[i].upcomingData.hours %></span><br/> <%- relatedVideos[i].upcomingData.hours_text %></div>
                                                    <% }else if(relatedVideos[i].upcomingData.hours > 0){ %>
                                                        <div class="hoursOnly"><span><%- relatedVideos[i].upcomingData.hours %></span><br/> <%- relatedVideos[i].upcomingData.hours_text %></div>
                                                    <% } %>
                                                </div>
                                            <% } %>
                                            <div class="title">
                                                <div class="titleContent">
                                                    <%- relatedVideos[i].name.stub(35) %>
                                                    <% if(relatedVideos[i].index != 0){ %>
                                                        <br/><span class="subtitle"> <%= manifest.seasonx.replace("{0}", relatedVideos[i].index) %></span>
                                                    <% } %>
                                                </div>
                                            </div>
                                        </div>
                                    <% } %>
                                </div>
                            </div>
                        </div>
                    </div><!-- end episodes -->
                <% } %>
            <% }else{ %><!-- end of movie producttype -->
                <div class="detailInformation hidden">
                    <div id="description" data-up="focusSeasonButtons" data-down="focusDown"><%- abstract.stub(410) %></div>
                </div>
                <% if(episodes.length > 0){ %>
                    <div class="relatedBlock relatedEpisodes">
                        <div class="groupContainer template-3">
                            <h1><%- manifest.episodes %></h1>
                            <div class="mouseButtonsContainer">
                                <div class="mouseButton left"></div>
                                <div class="mouseButton right"></div>
                            </div>
                            <div id="group-1" class="group" data-scroll-size="4">
                                <div class="scrollContainer">
                                    <% for(var i=0;i<episodes.length;i++){ %>
                                        <% if(i % 4 == 0) { %> <div class="episodePage" id="episodePage-<%= Math.floor(i / 4) %>"> <% } %>
                                            <div id="episode-<%- i %>"
                                            data-scroll-index="<%- i %>"
                                            data-up="focusUp"
                                            data-down="focusDown"
                                            data-left="focusLeft"
                                            data-right="focusRight"
                                            class="groupItem episodeItem">
                                                <div class="product-border"></div>
                                                <% if(episodes[i].ribbonTitle != ""){ %>
                                                    <div class="ribbon <%-episodes[i].ribbonType %>"><%-episodes[i].ribbonTitle %></div>
                                                <% } %>
                                                <% if (!episodes[i].isUpcoming) { %>
                                                    <div class="episodeIcon"></div>
                                                <% } %>
                                                <img src="<%- episodes[i].thumbnailSmall %>" data-imgsize="<%- episodes[i].thumbnailSmallSize %>" alt=""/>
                                                <% if(isUpcomingActive && episodes[i].upcomingData != null){ %>
                                                    <div class="countdown">
                                                        <% if(episodes[i].upcomingData.days > 0){ %>
                                                            <div class="days"><span><%- episodes[i].upcomingData.days %></span><br/> <%- episodes[i].upcomingData.days_text %></div>
                                                            <div class="hours"><span><%- episodes[i].upcomingData.hours %></span><br/> <%- episodes[i].upcomingData.hours_text %></div>
                                                        <% }else if(episodes[i].upcomingData.hours > 0){ %>
                                                            <div class="hoursOnly"><span><%- episodes[i].upcomingData.hours %></span><br/> <%- episodes[i].upcomingData.hours_text %></div>
                                                        <% } %>
                                                    </div>
                                                <% } %>
                                                <div class="title"><%- episodes[i].name %></div>
                                                <div class="progressbar <%= (episodes[i].elapsedPercentage > 0 ? '' : 'hidden') %>">
                                                    <div class="progress progress-<%= episodes[i].elapsedPercentage %>"></div>
                                                </div>

                                            </div>
                                        <% if(i % 4 == 3) { %></div><% } %>
                                    <% } %>
                                    <% if (i % 4 != 0) { %></div><% } %>
                                </div>
                            </div>
                        </div>
                    </div><!-- end episodes -->
                    <div class="episodeDetailInformation hidden">
                        <div class="episodeInfo">
                            <div class="episodeTitle"><%- episodes[0].name %></div>
                            <div class="episodeDuration"><%- episodes[0].duration %></div>
                        </div>
                        <div id="episodeDescription" data-up="#episode-0"><%- episodes[0].abstract.stub(480) %></div>
                        <div class="metaInfo">
                            <div class="meta-group">
                                <div class="meta-block">
                                    <div class="meta-title"><%- manifest.director %></div>
                                    <div class="value director-value"><%- episodes[0].director %></div>
                                </div>
                                <div class="meta-block">
                                    <div class="meta-title"><%- manifest.cast %></div>
                                    <div class="value cast-value"><%- episodes[0].cast %></div>
                                </div>
                            </div>
                            <div class="meta-group">
                                <div class="meta-block">
                                    <div class="meta-title"><%- manifest.audio %></div>
                                    <div class="value audio-value"><%- episodes[0].audio %></div>
                                </div>
                                <div class="meta-block">
                                    <div class="meta-title"><%- manifest.subtitle %></div>
                                    <div class="value subtitle-value"><%- episodes[0].subtitle %></div>
                                </div>
                            </div>
                            <div class="meta-group">
                                <div class="meta-block availibilityFromGroup <%= (!episodes[0].isUpcoming ? 'hidden' : '') %>">
                                    <div class="meta-title"><%- manifest.availableFrom %></div>
                                    <div class="value availabilityfrom-value"><%- episodes[0].availabilityFrom %></div>
                                </div>
                                <div class="meta-block">
                                    <div class="meta-title"><%- manifest.availableTo %></div>
                                    <div class="value availability-value"><%- episodes[0].availabilityTo %></div>
                                </div>
                            </div>
                        </div>

                    </div>
                <% } %>
            <% } %>
        </div>
    </div>
    <div id="arrowContainer">
        <div id="leftArrow" class="disable"></div>
        <div id="rightArrow" class="disable"></div>
        <div id="upArrow" data-down="#downArrow"></div>
        <div id="downArrow" data-left="focusLeft" data-right="focusRight" data-down="focusDown"></div>
    </div>
</div>
<div id="navhelp"></div>
